package com.das.modules.auth.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

@Data
public class SysOrgQueryDto implements Serializable {
    /** 机构名称 */
    private String name ;
    /** 省份 */
    private String province ;
    /** 城市 */
    private String city ;
    /** 区县 */
    private String county ;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentOrgId ;
    /**
     * 分页大小
     */
    private Integer pageSize;

    /**
     * 当前页数
     */
    private Integer pageNum;

}
