package com.das.modules.auth.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class SysRoleDto implements Serializable {
        /** 主键id */
        @JsonSerialize(using = ToStringSerializer.class)
        private Long id ;
        /** 角色名称 */
        private String roleName ;
        /** 角色编码 */
        private String roleCode ;
        /** 权限id集合 */
        private List<Long> authList;
    }
