package com.das.modules.auth.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

@Data
public class SysUserQueryDto implements Serializable {
    /** 职员名称 */
    private String userName ;
    /** 组织机构id */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId ;
    /** 用户主键id */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id ;

    /**
     * 分页大小
     */
    private Integer pageSize;

    /**
     * 当前页数
     */
    private Integer pageNum;

}
