package com.das.modules.auth.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 权限信息
 *
 * @author guchengwei
 */
@Data
public class SysRoleAuthVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 权限编码
     */
    private String authorityCode;

    /**
     * 权限名称
     */
    private String authorityName;


}
