package com.das.modules.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.das.modules.auth.domain.dto.SysMenuQueryDto;
import com.das.modules.auth.domain.vo.SysMenuVo;
import com.das.modules.auth.entity.SysMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 菜单信息 Mapper 接口
 * </p>
 *
 * @author chenhaojie
 */
public interface SysMenuMapper extends BaseMapper<SysMenu> {

    IPage<SysMenu> queryMenuList(IPage<SysMenu> page, @Param("sysMenu") SysMenuQueryDto sysMenuQueryDto);

    List<SysMenuVo> queryAllMenuList(@Param("sysMenu") SysMenuQueryDto sysMenuQueryDto);

    SysMenuVo getRootMenu();
}
