package com.das.modules.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.das.modules.auth.domain.dto.SysOrgQueryDto;
import com.das.modules.auth.entity.SysOrg;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户信息 Mapper 接口
 * </p>
 *
 * @author chenhaojie
 */
public interface SysOrgMapper extends BaseMapper<SysOrg> {
    IPage<SysOrg> queryOrgList(IPage<SysOrg> page, @Param("sysOrg") SysOrgQueryDto sysOrgQueryDto);

    List<SysOrg> queryAllOrgTree(@Param("id") Long id);

    Long queryOrgUserCount(@Param("id") Long id);
}
