package com.das.modules.auth.service;

import com.das.common.utils.PageDataInfo;
import com.das.modules.auth.domain.dto.DeleteDto;
import com.das.modules.auth.domain.dto.SysUserDto;
import com.das.modules.auth.domain.dto.SysUserQueryDto;
import com.das.modules.auth.domain.vo.SysUserVo;

public interface SysUserService {
    SysUserDto createUser(SysUserDto sysUserDto);

    void updateUser(SysUserDto sysUserDto);

    void updateUserById(SysUserDto sysUserDto);

    void deleteUser(DeleteDto deleteDto);

    PageDataInfo<SysUserVo> queryUserList(SysUserQueryDto sysUserQueryDto);
}
