package com.das.modules.equipment.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@AllArgsConstructor
public class EquipmentTypeVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 设备类型ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    public Long equipmentTypeId;
    /**
     * 设备类型名称
     */
    public String equipmentTypeName;
}
