export type getUserData = {
    id: string
    account: string
    userName: string
    email: string
    phone: string
    lastLogin: string
    headImage: string
}

export type getUserReturnDataType = {
    code: number
    msg: string
    rows: getUserData[]
    total: number
}

export type userFormDataType = {
    id: null | string
    avatar: null | string
    account: null | string
    userName: null | string
    email: null | string
    phone: null | string
    headImage: string
}
export type passWordInfoType = {
    id: null | string
    oldPassword: null | string
    newPassword: null | string
    repeatPassword: null | string
}
export type userInfoReactiveDataType = {
    userInfo: userFormDataType
    buttonLoading: boolean
    last_login_time: string
    updatePassWordVisible: boolean
    passWordInfo: passWordInfoType
}
export type updateUserInfoReturnDataType = {
    code: number
    msg: string
    success: boolean
}
