interface Window {
    existLoading: boolean
    lazy: number
    unique: number
    tokenRefreshing: boolean
    requests: Function[]
    eventSource: EventSource
    loadLangHandle: Record<string, any>
}

interface anyObj {
    [key: string]: any
}

interface TableDefaultData<T = any> {
    list: T
    remark: string
    total: number
}

interface ApiResponse<T = any> {
    total: number
    code: number
    data: T
    msg: string
    time: number
    rows: object
}

type ApiPromise<T = any> = Promise<ApiResponse<T>>
