package com.das.common.interceptor;

import cn.dev33.satoken.stp.StpInterface;
import com.das.common.config.StpInterfaceImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * Sa-Token 配置
 */
@Configuration
public class SaTokenConfiguration {

    /**
     * 权限接口实现(使用bean注入方便用户替换)
     */
    @Bean
    public StpInterface stpInterface() {
        return new StpInterfaceImpl();
    }


}
