package com.das.modules.auth.controller;

import com.das.common.result.R;
import com.das.modules.auth.service.SysAuthorityService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author chenhaojie
 * @Description 角色控制层
 */
@Slf4j
@RequestMapping("/api/authority")
@RestController
public class SysAuthorityController {
    @Autowired
    private SysAuthorityService sysAuthorityService;

    /**
     * 获取所有权限
     * @return 结果提示信息
     */
    @PostMapping("/query")
    public R<?> queryAllAuthority() {
        return R.success(sysAuthorityService.queryAll());
    }
}
