package com.das.modules.auth.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class SysAuthorityDto implements Serializable {
        /** 机构id */
        @JsonSerialize(using = ToStringSerializer.class)
        private Long id ;
        /** 权限编码 */
        private String authorityCode;
        /** 权限名称 */
        private String authorityName;
        /** 乐观锁 */
        private Integer revision ;
        /** 创建人 */
        private String createdBy ;
        /** 创建时间 */
        private Date createdTime ;
        /** 更新人 */
        private String updatedBy ;
        /** 更新时间 */
        private Date updatedTime ;
    }
