package com.das.modules.auth.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class SysMenuDto implements Serializable {
        /** 菜单ID */
        @JsonSerialize(using = ToStringSerializer.class)
        private Long id ;
        /** 菜单名称 */
        private String menuName ;
        /** 菜单排列顺序 */
        private Integer menuOrder ;
        /** 菜单图标名称 */
        private String menuIcon ;
        /** 菜单操作类型 */
        private Integer funType ;
        /** 菜单操作参数 */
        private String funParam ;
        /** 权限ID */
        @JsonSerialize(using = ToStringSerializer.class)
        private Long authorityId ;
        /** 上级菜单ID */
        @JsonSerialize(using = ToStringSerializer.class)
        private Long parentMenuId ;
        /** 乐观锁 */
        private Integer revision ;
        /** 创建人 */
        private String createdBy ;
        /** 创建时间 */
        private Date createdTime ;
        /** 更新人 */
        private String updatedBy ;
        /** 更新时间 */
        private Date updatedTime ;
    }
