package com.das.modules.auth.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

@Data
public class SysMenuQueryDto implements Serializable {
    /** 菜单ID */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id ;

    /** 菜单名称 */
    private String menuName ;
    /** 上级菜单ID */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentMenuId ;

    /**
     * 分页大小
     */
    private Integer pageSize;

    /**
     * 当前页数
     */
    private Integer pageNum;
}
