package com.das.modules.auth.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class SysOrgDto implements Serializable {
        /** 机构id */
        @JsonSerialize(using = ToStringSerializer.class)
        private Long id ;
        /** 机构名称 */
        private String name ;
        /** 机构编码 */
        private String mrid ;
        /** 省份 */
        private String province ;
        /** 城市 */
        private String city ;
        /** 区县 */
        private String county ;
        /** 具体地址 */
        private String address ;
        /** 联系电话 */
        private String contactPhone ;
        /** 备注 */
        private String remarks ;
        /** 机构简称 */
        private String aliasName;
        /** 上级组织机构id */
        @JsonSerialize(using = ToStringSerializer.class)
        private Long parentOrgId ;
        /** 乐观锁 */
        private Integer revision ;
        /** 创建人 */
        private String createdBy ;
        /** 创建时间 */
        private Date createdTime ;
        /** 更新人 */
        private String updatedBy ;
        /** 更新时间 */
        private Date updatedTime ;
    }
