package com.das.modules.auth.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 角色前端回显
 *
 * @author guchengwei
 */
@Data
public class SysRoleVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 账号ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 角色编码
     */
    private String roleCode;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 乐观锁
     */
    private Integer revision;

    private List<SysRoleAuthVo> list;


}
