package com.das.modules.auth.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 令牌实体
 * @author Administrator
 */
@Data
public class TokenVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 令牌
     */
    private String token;
    /**
     * 令牌超时时间，单位(秒)
     */
    public long tokenTimeout;
    /**
     * 令牌活动超时间隔，单位(秒)
     */
    public long tokenActivityTimeout;
    /**
     * 账号ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    public long accountId;
}
