package com.das.modules.auth.service;

import com.das.common.utils.PageDataInfo;
import com.das.modules.auth.domain.dto.DeleteDto;
import com.das.modules.auth.domain.dto.SysOrgDto;
import com.das.modules.auth.domain.dto.SysOrgQueryDto;
import com.das.modules.auth.entity.SysOrg;

import java.util.List;

public interface SysOrgService {
    SysOrg createOrg(SysOrgDto sysUserDto);

    void updateOrg(SysOrgDto sysUserDto);

    void deleteOrg(DeleteDto deleteDto);

    PageDataInfo<SysOrg> queryOrgList(SysOrgQueryDto sysOrgQueryDto);


    List<SysOrg>  queryAllOrgTree(SysOrgQueryDto sysOrgQueryDto);
}
