package com.das.modules.auth.service;

import com.das.common.utils.PageDataInfo;
import com.das.modules.auth.domain.dto.DeleteDto;
import com.das.modules.auth.domain.dto.SysRoleDto;
import com.das.modules.auth.domain.dto.SysRoleQueryDto;
import com.das.modules.auth.domain.vo.SysRoleAuthVo;
import com.das.modules.auth.domain.vo.SysRoleVo;

import java.util.List;

public interface SysRoleService {
    SysRoleDto createRole(SysRoleDto sysRoleDto);

    SysRoleDto updateRole(SysRoleDto sysRoleDto);

    void deleteRole(DeleteDto deleteDto);

    PageDataInfo<SysRoleVo> queryRoleList(SysRoleQueryDto sysRoleQueryDto);

    List<SysRoleAuthVo> queryAuthorityById(SysRoleQueryDto sysRoleQueryDto);
}
