package com.das.modules.equipment.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

@Data
public class SysIotModelFieldDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long iotModelId;

    private String attributeCode;

    /**
     * 物模型属性名称
     */
    private String attributeName;

    /**
     * 量测类型
     */
    private Integer attributeType;

    /**
     * 测点序号
     */
    private Integer porder;

    private Integer version;
}
