package com.das.modules.equipment.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

@Data
public class SysIotModelServiceDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long iotModelId;

    /**
     * 物模型动作编码
     */
    private String serviceCode;

    /**
     * 物模型动作名称
     */
    private String serviceName;

    /**
     * 动作类型
     */
    private Integer serviceType;

    /**
     * 测点序号
     */
    private Integer porder;

    private Integer version;
}
