package com.das.modules.equipment.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;


/**
 * 物模型属性前端回显
 *
 * @author guchengwei
 */
@Data
public class SysIotModelFieldVo {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 所属物模型ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long iotModelId;


    /**
     * 物模型属性编码
     */
    private String attributeCode;

    /**
     * 物模型属性名称
     */
    private String attributeName;

    /**
     * 量测类型
     */
    private Integer attributeType;

    /**
     * 测点序号
     */
    private Integer porder;

    private Integer version;

}
