package com.das.modules.equipment.service;

import com.das.modules.equipment.domain.dto.SysIotModelDto;
import com.das.modules.equipment.domain.dto.SysIotModelFieldDto;
import com.das.modules.equipment.domain.dto.SysIotModelServiceDto;
import com.das.modules.equipment.domain.vo.SysIotModelFieldVo;
import com.das.modules.equipment.domain.vo.SysIotModelServiceVo;
import com.das.modules.equipment.domain.vo.SysIotModelVo;

import java.util.List;

public interface SysIotModelService {
    SysIotModelVo creatSysIotModel(SysIotModelDto sysIotModelDto);

    SysIotModelVo updateSysIotModel(SysIotModelDto sysIotModelDto);

    void deleteSysIotModel(SysIotModelDto sysIotModelDto);

    List<SysIotModelVo> querySysIotModel(SysIotModelDto sysIotModelDto);

    List<SysIotModelFieldVo> querySysIotModelField(SysIotModelFieldDto sysIotModelFieldDto);

    SysIotModelFieldVo creatSysIotModelField(SysIotModelFieldDto sysIotModelFieldDto);

    SysIotModelFieldVo updateSysIotModelField(SysIotModelFieldDto sysIotModelFieldDto);

    void deleteSysIotModelField(SysIotModelFieldDto sysIotModelFieldDto);

    List<SysIotModelServiceVo> querySysIotModelService(SysIotModelServiceDto sysIotModelServiceDto);

    SysIotModelServiceVo creatSysIotModelService(SysIotModelServiceDto sysIotModelServiceDto);

    SysIotModelServiceVo updateSysIotModelService(SysIotModelServiceDto sysIotModelServiceDto);

    void deleteSysIotModelService(SysIotModelServiceDto sysIotModelServiceDto);

}
